#!/bin/sh -e

VERSION=$2
TAR=../libjcommon-java_$VERSION.orig.tar.gz
DIR=jcommon-$VERSION

tar -x -z -f $TAR
GZIP=--best tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' $DIR
rm -rf $DIR

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir && echo "moved $TAR to $origDir"
fi
